• This plugin is excellent, but I always forget that it has several undocumented dependencies if you are installing it on a fresh EC2 instance. If you install it on Ubuntu, you need to run these commands:

    apt install php-xml

    apt install php-curl

    If you are on CentOS or something, probably just substitute yum for apt. And you may need to specify your php version number.

    Also, when creating your IAM policy, you need to restrict your bucket ARN to 2 resources, not just one. One of the resources is the bucket name itself, and the other is the bucket name/*

    • This topic was modified 1 year, 6 months ago by kloddant.
    • This topic was modified 1 year, 6 months ago by kloddant. Reason: Added another troubleshooting consideration
  • The topic ‘Works Great But Needs To List php Requirements’ is closed to new replies.